Bug 1654203 - [abrt] [faf] Make tests retry when factory doesn't know about added ESource yet
Summary: [abrt] [faf] Make tests retry when factory doesn't know about added ESource yet
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: evolution-data-server
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Milan Crha
QA Contact: Desktop QE
URL: https://faf.lab.eng.brq.redhat.com/fa...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 09:08 UTC by Vladimir Benes
Modified: 2019-06-14 00:57 UTC (History)
1 user (show)

Fixed In Version: evolution-data-server-3.28.5-9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 00:57:19 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Vladimir Benes 2018-11-28 09:08:34 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: https://faf.lab.eng.brq.redhat.com/faf/reports/bthash/c91a4ab31439b13c8686d8622306ee30b5165255/

Comment 1 Milan Crha 2018-11-28 10:19:46 UTC
Thanks for a bug report. From a different FAF report, it fails with this message:

   e-test-server-utils-FATAL-ERROR: Unable to create the test calendar: Unable
   to connect to "Unnamed": Backend factory for source "eds-source-O4H2OZ" and
   extension "Calendar" cannot be found

It can be that the client (test) side called to create the source, then it received it's created before the factory, and when the test asked to create also the EClient instance the factory side still didn't know about the source and failed the call with this error message. The 3.28.5 doesn't differentiate between the ESource not found and the backend not found states.

This is addressed by this change:
https://gitlab.gnome.org/GNOME/evolution-data-server/commit/aaa174787eea3a10

Comment 3 Milan Crha 2018-12-04 09:48:57 UTC
I updated the patch for this bug with these two upstream changes, which are related:
https://gitlab.gnome.org/GNOME/evolution-data-server/commit/68838b598
https://gitlab.gnome.org/GNOME/evolution-data-server/commit/5f1d2650d


Note You need to log in before you can comment on or make changes to this bug.